/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019-2021 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "error.h"

uirc_errno_t uirc_errno = UIRC_ERR_NERROR;

static const char* const uirc_errno_str[] = {
	[UIRC_ERR_NERROR] = "No error",
	[UIRC_ERR_SYSERR] = "System error",
	[UIRC_ERR_BUFSIZ] = "Buffer space full",
	[UIRC_ERR_INVFMT] = "Invalid format",
};

const char*
uirc_strerror(uirc_errno_t errno)
{
	return uirc_errno_str[errno];
}
