/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019, 2020 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "uirc.h" // IRC_*

#include <stdio.h>  // printf()
#include <stdlib.h> // exit()
#include <string.h> // strcmp()

#ifndef UIRC_GUARD_PRIVATE_COMMONTESTS
#define UIRC_GUARD_PRIVATE_COMMONTESTS

#define ERRIFNULL(VAR, ...) \
	if (VAR == NULL) fprintf(stderr, __VA_ARGS__)

void expect(const char* var, const char* exp);

void print_irc_message(const IRC_Message* ptr);
#ifdef UIRC_FEATURE_IRCV3
void print_irc_tag(const IRC_Tag* tag);
#endif /* UIRC_FEATURE_IRCV3 */
void print_irc_user(const IRC_User* user);

#endif /* UIRC_GUARD_PRIVATE_COMMONTESTS */

