/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019-2021 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "common.h" // expect() print_irc_message()
#include "uirc.h"   // uirc_* IRC_*

#include <assert.h> // assert()
#include <stdio.h>  // printf()
#include <stdlib.h> // EXIT_SUCCESS
#include <string.h> // strlen()

int
main(void)
{
	const char* str =
	    "NOTICE #public :yo does someone want to watch Redo of Healer with me?"; // This should parse just fine as CRLF is a delimiter and nothing
	                                                                             // important for the message itself

	IRC_Message* m = NULL;
	if ((m = uirc_tokenizer_message(str)) == NULL) {
		fprintf(stderr, "Failed to convert string to IRC_Message struct.\n");
		return EXIT_FAILURE;
	}
	print_irc_message(m);
	uirc_struct_free(m, IRC_STRUCT_MESSAGE);
	free(m);

	return EXIT_SUCCESS;
}
