/*
 *  This file is part of uIRC. (https://git.redxen.eu/caskd/uIRC)
 *  Copyright (c) 2019-2021 Alex-David Denes
 *
 *  uIRC is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  uIRC is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with uIRC.  If not, see <https://www.gnu.org/licenses/>.
 */

#include "validator.h"

#include <assert.h> // assert()
#include <stdio.h>  // NULL
#include <string.h> // strchr()

size_t
uirc_validator_string_nocrlf(const char* str)
{
	assert(str != NULL);
	const char* save = str;
	for (; *str; str++) {
		if (*str == '\r' || *str == '\n') return 0;
	}
	return (size_t)(str - save);
}

size_t
uirc_validator_string_nospcl(const char* str)
{
	assert(str != NULL);
	const char* save = str;
	for (; *str; str++) {
		if (*str == ' ' || *str == ':') return 0;
	}
	return (size_t)(str - save);
}

size_t
uirc_validator_string_noblcm(const char* str)
{
	assert(str != NULL);
	const char* save = str;
	for (; *str; str++) {
		if (*str == '\a' || *str == ',') return 0;
	}
	return (size_t)(str - save);
}
